import { JSONArray } from './JSONArray';
export declare class JSONObject {
    private object;
    constructor(a32?: string | Record<string, any>);
    getString(x31: string, y31?: string): string;
    getBoolean(u31: string, v31?: boolean): boolean;
    getNumber(r31: string, s31?: number): number;
    getJsonObject(o31: string, p31?: Record<string, any> | null): JSONObject | null;
    getJsonArray(l31: string, m31?: JSONArray | null): JSONArray | null;
    getArray<g31>(h31: string, i31?: g31[] | null): g31[] | null;
    hasKey(f31: string): boolean;
    put(d31: string, e31: any): void;
    remove(c31: string): void;
    applyToArray(y30: string, z30: (item: any, index: number, array: any[]) => void): void;
    toJson(): string;
    toInstance<t30>(u30: {
        new (...args: any[]): t30;
    }): t30;
}
